# Function constrainQueryTimeExtentToView

- constrainQueryTimeExtentToView(query, featureSource): void

- Takes a Query instance and updates its timeExtent property to be the intersection of the FeatureSource.layer.timeExtent and the associated MapView.timeExtent (if available).

  #### Parameters

  - query: Query | ImageIdentifyParameters

    The query instance.

  - featureSource: FeatureSource

    The source to be queried.

  #### Returns void